---
title: "Get an estate agent"
slug: "get-an-estate-agent"
updated: 2024-09-04T08:47:07Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an estate agent

Get/api/v1/relations/estateAgents

Get an existing estate agent. Either reference or externalIdentifier must have a value. If both are given, both are used for retrieving the estate agent.

		
			

**Description**

Retrieve the information currently known in the Bloxs database about a certain Estate agent. Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

Estate agents include a wide range of real estate brokerage services, including but not limited to real estate agents, brokers, and rental agents.

**Use Case**

Through this operation the user can display a specific Estate Agent and the related information. For example the user wants to display all the information of the estate agent to see which data points need to be adjusted.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system . |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |

**Response fields**

The response contains the fields in the table below. For the get operation it gives a up-to-date insight in the data that is currently registered in Bloxs.

| Field | Description |
| --- | --- |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| phoneNumber | Phone number of the relation. |
| mobileNumber | Mobile phone number of the relation. |
| cocNumber | Chamber of Commerce number. |
| cocDescription | Additional information about the Chamber of Commerce number. Termed as KVK description in the Bloxs system. Extra information can be entered here regarding the Chamber of Commerce number. |
| vatNumber | VAT (BTW) number of the relation. |
| correspondenceMethod | The default method of correspondence. This field is an integer with 2 options: 1 = Email 2 = Post If the correspondenceMethod is set to Email, then the primaryEmailAddresses field is mandatory. If the CorrespondenceMethod is set to Post, then the Address field is mandatory. |
| remarks | General comments. Please note: Avoid including sensitive information here, such as passwords or sensitive personal data. |
| languageISOCode | ISO language code. Use the 2-letter code from the ISO 639-1 Code list. |
| address | The address of the relation. |
| street | The street of the relation. |
| houseNumber | The house number of the relation. |
| postalCode | The postal code of the relation. |
| city | The place of residence of the relation. |
| countryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |
| invoiceAddress | The billing address of the relation. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| postalAddress | The postal address of the relation. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| primaryEmailAddresses | Primary email address used by the relation. If other email addresses are left empty, this email address will be used for correspondence. |
| invoicesEmailAddresses | The email address used to send invoices. |
| paymentRemindersEmailAddresses | The email address used to send reminders regarding payments. |
| indexationsEmailAddresses | The email address to which the annual rent increase (indexation) is sent. |
| serviceTicketsEmailAddresses | The email address to which all maintenance notifications are sent. This may differ from the general email address. For instance, in the case of a shared office space where all communication is centralized through one central desk instead of being handled separately by individual tenants. |
| purchaseOrdersEmailAddresses | All communication specifically related to procurement is conducted through this email address. This is primarily applicable to large parties where procurement processes are managed through separate email accounts. |
| portalsEmailAddresses | Within Bloxs, a portal account for customers or tenants can be opened. Through this field, you can provide multiple email addresses that need to be granted access. |
| otherEmailAddresses | Other email addresses. |
| name | Name of the relation. |
| website | Website of the relation. |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='5deba857-7112-4aa0-a48a-fbdc11d133cd'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

invoiceAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

postalAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
portalsEmailAddresses Array of string  | null  string    
otherEmailAddresses Array of string  | null  string    
externalIdentifierstring   | null  Min length0Max length100
phoneNumberstring   | null  
mobileNumberstring   | null  
cocNumberstring   | null  Min length0Max length256
cocDescriptionstring   | null  
vatNumberstring   | null  Min length0Max length256
correspondenceMethodinteger  (int32)    Valid values[
  1,
  2
]
remarksstring   | null  
namestring    Min length0Max length256
websitestring   | null  
referencestring   | null  Min length0Max length100
displayNamestring   | null  
archiveDatestring  (date)   | null  

404

The requested estate agent was not found.
